package eu.maiora.plugins

import eu.maiora.model.*
import eu.maiora.routes.auth
import eu.maiora.routes.composizioni
import eu.maiora.routes.movimenti
import eu.maiora.routes.tessere
import eu.maiora.routes.valorePasti
import io.ktor.server.application.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Application.configureRouting() {
    routing {
        get("/") {
            call.respondText("Hello World!")
        }

        auth(AccountsRepositoryImpl())
        tessere(TessereRepositoryImpl())
        movimenti(MovimentiRepositoryImpl())
        composizioni(ComposizioniRepositoryImpl())
        valorePasti(ValorePastiRepositoryImpl())
    }
}
